# azure-container-labs
Azure Container Labs - Kubernetes(AKS), App Service for Container, Service Fabric, and more 

---
## Kubernetes (AKS) Labs
- 100 [Setup Lab environment](labs/aks-100-setup-env.md)
- 101 [Create Azure Kubernetes Services(AKS) Cluster](labs/aks-101-create-aks-cluster.md)
- 102 [Azure Container Resgistry (ACR) and ACR Build](labs/aks-102-acr.md)
- 103 [Deploy application to AKS cluster](labs/aks-103-deploy-app.md)
- 104 [Ingress -  HTTP application routin](labs/aks-104-ingress.md)
- 105 [Scale out Pods and Nodes](labs/aks-105-scaleout.md)
- 106 [Deploy replicated MySQL topology with Stateful Sets](labs/aks-106-statefulsets.md)
- 107 [Azure Monitor for Container](labs/aks-107-container-insights.md)
- 108 [Helm and Helm Charts](labs/aks-108-helm.md)
- 109 CI with Azure DevOps
- 201 [Open Service Broker Azure (OSBA)](labs/aks-201-osba.md)
- 202 [Service Mesh using Istio](labs/aks-202-istio-top.md)
- 203 [Autoscale on AKS (HPA + CA)](labs/aks-203-autoscale.md)
- 204 [Application Gateway ingress controller](labs/aks-204-app-gateway-ingress.md) 
- 205 Azure AD integration AKS
- 206 [Virutal Node](labs/aks-206-virtual-node.md)

### Helper Contents
- [AKS Cheat Sheet](labs/helper-aks-cheat-sheet.md)
- [Docker Tips](labs/helper-docker-tips.md)
- [Tools](labs/helper-k8s-tools.md)

---
## Web App for Containers Labs
- [Voting App (Python Flask + MySQL)](labs/webapp-voting-app.md)
- [Todo list App (Spring Boot + CosmosDB)](labs/webapp-todo-java-app.md) 
---
## Azure Container Instances (ACI) Labs
- [Quickstart ACI](labs/aci-quickstart.md)

---
## Service Fabric Labs
- [Quickstart Service Fabric Linux Container](https://gist.github.com/yokawasa/329a24ae30c855a475f4e58c9f654140)
- [Quickstart Service Fabric Mesh](https://gist.github.com/yokawasa/7aae70ef5ac8e7f23fd75cb73d9f161b)
